<?php
/**
 * The template for displaying archive pages.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package Avant
 */

$blog_columns = 'blog-columns-three';
if ( get_theme_mod( 'avant-blog-column-layout' ) )
	$blog_columns = get_theme_mod( 'avant-blog-column-layout' );

$blog_style = 'blog-style-postblock';
if ( get_theme_mod( 'avant-blog-blocks-style' ) )
	$blog_style = get_theme_mod( 'avant-blog-blocks-style' );

get_header(); ?>

	<div id="primary" class="content-area <?php echo ( get_theme_mod( 'avant-blog-cat-full-width' ) ) ? sanitize_html_class( 'content-area-full' ) : ''; ?> <?php echo ( get_theme_mod( 'avant-blog-break-blocks' ) ) ? sanitize_html_class( 'blog-break-blocks' ) : ''; ?> <?php echo ( get_theme_mod( 'avant-blog-blocks-remove-border' ) ) ? sanitize_html_class( 'blog-blocks-no-border' ) : ''; ?>">
		<main id="<?php echo ( get_theme_mod( 'avant-blog-layout' ) == 'blog-blocks-layout' ) ? sanitize_html_class( 'main' ) : sanitize_html_class( 'main-infinite' ); ?>" class="site-main" role="main">

			<?php if ( have_posts() ) : ?>

				<?php get_template_part( '/templates/titlebar' ); ?>
				
				<?php
				// if archive pages are set to be blocks
				echo ( get_theme_mod( 'avant-blog-layout', customizer_library_get_default( 'avant-blog-layout' ) ) == 'blog-blocks-layout' ) ? '<div class="blog-blocks-wrap blog-blocks-wrap-remove ' . sanitize_html_class( $blog_columns ) . ' ' . sanitize_html_class( $blog_style ) . '">' : '';
					echo ( get_theme_mod( 'avant-blog-layout', customizer_library_get_default( 'avant-blog-layout' ) ) == 'blog-blocks-layout' ) ? '<div id="main-infinite" class="blog-blocks-wrap-inner">' : ''; ?>
				
					<?php /* Start the Loop */ ?>
					<?php while ( have_posts() ) : the_post(); ?>
					
						<?php
							/* Include the Post-Format-specific template for the content.
							 * If you want to override this in a child theme, then include a file
							 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
							 */
							get_template_part( 'templates/contents/content' );
						?>
						
					<?php endwhile; ?>
					
					<?php
					// Close the divs for the blocks layout
					echo ( get_theme_mod( 'avant-blog-layout', customizer_library_get_default( 'avant-blog-layout' ) ) == 'blog-blocks-layout' ) ? '<div class="clearboth"></div></div>' : '';
				echo ( get_theme_mod( 'avant-blog-layout', customizer_library_get_default( 'avant-blog-layout' ) ) == 'blog-blocks-layout' ) ? '</div>' : ''; ?>
				
				<?php
				if ( function_exists( 'wp_paginate' ) ):
				    wp_paginate();  
				else :
					the_posts_navigation();
				endif; ?>

			<?php else : ?>

				<?php get_template_part( 'templates/contents/content', 'none' ); ?>

			<?php endif; ?>

		</main><!-- #main -->
	</div><!-- #primary -->

	<?php if ( get_theme_mod( 'avant-blog-cat-full-width' ) ) : ?>
        <!-- No Sidebar -->
    <?php else : ?>
        <?php get_sidebar(); ?>
    <?php endif; ?>
	
	<div class="clearboth"></div>
	
<?php get_footer(); ?>