<?php
/**
 * Functions for users wanting to upgrade to premium
 *
 * @package Avant
 */

/**
 * Display the upgrade to Premium page & load styles.
 */
function avant_premium_admin_menu() {
    global $avant_upgrade_page;
    $avant_upgrade_page = add_theme_page( __( 'About Avant', 'avant' ), '<span class="premium-link">' . __( 'About Avant', 'avant' ) . '</span>', 'edit_theme_options', 'avant_theme_info', 'avant_render_upgrade_page' );
}
add_action( 'admin_menu', 'avant_premium_admin_menu' );

/**
 * Enqueue admin stylesheet only on upgrade page.
 */
function avant_load_upgrade_page_scripts( $hook ) {
    global $avant_upgrade_page;
    if ( $hook != $avant_upgrade_page )
        return;
    
    wp_enqueue_style( 'avant-premium-css', get_template_directory_uri() . '/premium/css/upgrade-admin.css' );
}
add_action( 'admin_enqueue_scripts', 'avant_load_upgrade_page_scripts' );

/**
 * Render the premium upgraded page
 */
function avant_render_upgrade_page() {
	get_template_part( 'premium/tpl/premium-page' );
}
