<div class="wrap avant-upgrade-page-wrap">
    <h2 class="avant-upgrade-page-title">
        <?php _e( 'Avant Premium', 'avant' ); ?>
    </h2>
    <div class="avant-upgrade-page-inner-wrap">
        
        <h3><?php _e( 'Thank you! for upgrading to Avant Premium', 'avant' ); ?></h3>
        
        <p class="avant-upgrade-p">
            <?php printf( __( '<strong>All settings for Avant</strong> are neatly built into the <a href="%s">WordPress Customizer</a> so you can change and edit settings to view what happens before saving and making any of the changes live', 'avant' ) , admin_url( 'customize.php' ) ); ?>
        </p>
        
        <div class="avant-upgrade-block avant-upgrade-block-alt">
            <div class="avant-upgrade-block-left">
                <?php _e( 'Download a working Child Theme for Avant', 'avant' ); ?><br />
                <?php printf( __( 'Or learn more on creating/editing a <a href="%s" target="_blank">Child Theme</a>', 'avant' ) , 'https://codex.wordpress.org/Child_Themes' ); ?>
            </div>
            <div class="avant-upgrade-block-right">
                <a href="<?php echo esc_url( 'https://kairaweb.com/documentation/avant-child-theme/' ) ?>" target="_blank" class="avant-upgrade-result-button">
                    <?php _e( 'Avant Child Theme', 'avant' ); ?>
                </a>
            </div>
        </div>
        
        <div class="avant-upgrade-block">
            <div class="avant-upgrade-block-left">
                <?php _e( 'We have on-growing documentation on setting up your website with the Avant theme', 'avant' ); ?>
            </div>
            <div class="avant-upgrade-block-right">
                <a href="<?php echo esc_url( 'https://kairaweb.com/documentation/' ) ?>" target="_blank" class="avant-upgrade-result-button">
        			<?php _e( 'Documentation', 'avant' ); ?>
        		</a>
            </div>
        </div>
        
        <div class="avant-upgrade-block avant-upgrade-block-alt">
            <div class="avant-upgrade-block-left">
                <?php _e( 'Have you enjoyed using Avant?', 'avant' ); ?><br />
                <?php printf( __( 'Please help by giving us a 5 star rating on WordPress.org :)', 'avant' ) , 'https://kairaweb.com/' ); ?>
            </div>
            <div class="avant-upgrade-block-right">
                <a href="<?php echo esc_url( 'https://wordpress.org/support/theme/avant/reviews/?rate=5#new-post' ) ?>" target="_blank" class="avant-upgrade-result-button">
                    <?php _e( 'Rate Avant 5 stars', 'avant' ); ?>
                </a>
            </div>
        </div>
        
        <div class="avant-upgrade-block">
            <div class="avant-upgrade-block-left">
                <?php _e( 'Needing help with your theme?', 'avant' ); ?>
                <?php printf( __( '<a href="%s" target="_blank">Codeable</a> offers a great service setting up and customizing themes', 'avant' ) , 'https://kairaweb.com/' ); ?>
            </div>
            <div class="avant-upgrade-block-right">
                <a href="<?php echo esc_url( 'https://kairaweb.com/go/codeable/' ) ?>" target="_blank" class="avant-upgrade-result-button">
                    <?php _e( 'Codeable', 'avant' ); ?>
                </a>
            </div>
        </div>
        
        <div class="avant-upgrade-block avant-upgrade-block-alt">
            <div class="avant-upgrade-block-left">
                <?php _e( 'We\'ve also built some WooCommerce plugins that you might find useful... Have a look!', 'avant' ); ?>
            </div>
            <div class="avant-upgrade-block-right">
                <a href="<?php echo esc_url( 'https://codecanyon.net/user/cxthemes/portfolio/?ref=Kaira' ) ?>" target="_blank" class="avant-upgrade-result-button">
                    <?php _e( 'WooCommerce Plugins', 'avant' ); ?>
                </a>
            </div>
        </div>

        <a href="https://kairaweb.com/go/updraftplus/" target="_blank" class="avant-upgrade-block avant-upgrade-block-updraftplus">
            <div class="avant-upgrade-block-right">
                <?php printf( __( 'We recommend <b>UpdraftPlus for website backups</b> incase of Hacking, server crashes, dodgy updates or simple user errors', 'avant' ) ); ?>
            </div>
        </a>
        
        <div class="avant-upgrade-footer"><?php printf( __( 'Theme: Avant, built by <a href="%s" target="_blank">Kaira</a>', 'avant' ) , 'https://kairaweb.com/' ); ?></div>
    </div>
</div>