<?php
/**
 * The template for displaying all single posts.
 *
 * @package Avant
 */

get_header(); ?>

	<div id="primary" class="content-area <?php echo ( get_theme_mod( 'avant-blog-single-full-width' ) ) ? sanitize_html_class( 'content-area-full' ) : ''; ?>">
		<main id="main" class="site-main" role="main">

		<?php while ( have_posts() ) : the_post(); ?>

			<?php get_template_part( 'templates/contents/content', 'single' ); ?>

			<?php if ( ! get_theme_mod( 'avant-remove-single-pag' ) ) : ?>
				<?php the_post_navigation(); ?>
			<?php endif; ?>

			<?php
				// If comments are open or we have at least one comment, load up the comment template
				if ( comments_open() || get_comments_number() ) :
					comments_template();
				endif;
			?>

		<?php endwhile; // end of the loop. ?>

		</main><!-- #main -->
	</div><!-- #primary -->

	<?php if ( get_theme_mod( 'avant-blog-single-full-width' ) ) : ?>
        <!-- No Sidebar -->
    <?php else : ?>
        <?php get_sidebar(); ?>
    <?php endif; ?>
	
	<div class="clearboth"></div>
	
<?php get_footer(); ?>