<?php
/**
 * @package Avant
 */
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	
	<?php if ( get_theme_mod( 'avant-blog-layout', customizer_library_get_default( 'avant-blog-layout' ) ) == 'blog-blocks-layout' ) : // Blocks Layout ?>
	
		<?php if ( get_theme_mod( 'avant-blog-blocks-style' ) == 'blog-style-imgblock' ) : // Image Style Block ?>
	
			<div class="blog-post-blocks-inner <?php echo ( get_theme_mod( 'avant-blog-post-shape' ) ) ? sanitize_html_class( get_theme_mod( 'avant-blog-post-shape' ) ) : sanitize_html_class( 'blog-post-shape-square' ); ?>">
			    
			    <?php if ( has_post_thumbnail() ) :
			    	$avant_image_cut = customizer_library_get_default( 'avant-blog-list-img-cut' );
					if ( get_theme_mod( 'avant-blog-list-img-cut' ) ) {
						$avant_image_cut = get_theme_mod( 'avant-blog-list-img-cut' );
					} ?>

				    <div class="blog-post-blocks-inner-img" <?php echo ( has_post_thumbnail() ) ? 'style="background-image: url(' . esc_url( get_the_post_thumbnail_url( $post->ID, $avant_image_cut ) ) . ');"' : ''; ?>>
				        
				        <?php if ( get_theme_mod( 'avant-blog-post-shape' ) == 'blog-post-shape-img' ) : ?>
				        	
				    	    <?php if ( has_post_thumbnail() ) : ?>
				    	    	<img src="<?php echo esc_url( get_the_post_thumbnail_url( $post->ID, $avant_image_cut ) ); ?>" alt="<?php the_title(); ?>" />
				    	    <?php else : ?>
				        		<img src="<?php echo get_template_directory_uri(); ?>/images/blank_blocks_img.png" alt="<?php the_title(); ?>" />
				        	<?php endif; ?>
					        	
				        <?php else : ?>
				        
				    		<img src="<?php echo get_template_directory_uri(); ?>/images/blank_blocks_img.png" alt="<?php the_title(); ?>" />
				    		
				    	<?php endif; ?>
				    	
				    </div>

				<?php endif; ?>
			    
			    <a href="<?php echo esc_url( get_permalink() ); ?>" class="blog-post-blocks-inner-a">
			    	<div class="blog-blocks-content-inner">
			        	<header class="entry-header">
			        		<?php
							$post_title_tag = get_theme_mod( 'avant-seo-blog-post-title-tag', customizer_library_get_default( 'avant-seo-blog-post-title-tag' ) );
			        		the_title( '<h'.esc_attr( $post_title_tag ).' class="entry-title">', '</h'.esc_attr( $post_title_tag ).'>' ); ?>
			                
			                <?php if ( !get_theme_mod( 'avant-blog-blocks-remove-meta' ) ) : ?>
			                    <?php if ( 'post' == get_post_type() ) : ?>
			                    <div class="entry-meta">
			                        <?php echo get_the_date(); ?>
			                    </div><!-- .entry-meta -->
			                    <?php endif; ?>
			                <?php endif; ?>
			        	</header><!-- .entry-header -->
			        </div>
				</a>
			    
			</div>
			
		<?php else : // Post Style Block ?>
			
			<div class="blog-post-blocks-inner <?php echo ( get_theme_mod( 'avant-blog-post-shape' ) ) ? sanitize_html_class( get_theme_mod( 'avant-blog-post-shape' ) ) : sanitize_html_class( 'blog-post-shape-square' ); ?>">
			    
			    <?php if ( has_post_thumbnail() ) :
			    	$avant_image_cut = customizer_library_get_default( 'avant-blog-list-img-cut' );
					if ( get_theme_mod( 'avant-blog-list-img-cut' ) ) {
						$avant_image_cut = get_theme_mod( 'avant-blog-list-img-cut' );
					} ?>

				    <div class="blog-post-blocks-inner-img" <?php echo ( has_post_thumbnail() ) ? 'style="background-image: url(' . esc_url( get_the_post_thumbnail_url( $post->ID, $avant_image_cut ) ) . ');"' : ''; ?>>
				    	<a href="<?php echo esc_url( get_permalink() ); ?>">
						    
						    <?php if ( get_theme_mod( 'avant-blog-post-shape' ) == 'blog-post-shape-img' ) : ?>
						    
							    <?php if ( has_post_thumbnail() ) : ?>
							    	<img src="<?php echo esc_url( get_the_post_thumbnail_url( $post->ID, $avant_image_cut ) ); ?>" alt="<?php the_title(); ?>" />
							    <?php else : ?>
						    		<img src="<?php echo get_template_directory_uri(); ?>/images/blank_blocks_img.png" alt="<?php the_title(); ?>" />
						    	<?php endif; ?>
						    	
						    <?php else : ?>
						    
								<img src="<?php echo get_template_directory_uri(); ?>/images/blank_blocks_img.png" alt="<?php the_title(); ?>" />
								
							<?php endif; ?>
						
						</a>
					</div>

				<?php endif; ?>
				
				<div class="blog-blocks-content">
					<header class="entry-header">
						<?php
						$post_title_tag = get_theme_mod( 'avant-seo-blog-post-title-tag', customizer_library_get_default( 'avant-seo-blog-post-title-tag' ) );
						the_title( sprintf( '<h'.esc_attr( $post_title_tag ).' class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h'.esc_attr( $post_title_tag ).'>' ); ?>
						
						<?php if ( !get_theme_mod( 'avant-blog-blocks-remove-meta' ) ) : ?>
							<?php if ( 'post' == get_post_type() ) : ?>
							<div class="entry-meta">
								<?php avant_posted_on(); ?>
							</div><!-- .entry-meta -->
							<?php endif; ?>
						<?php endif; ?>
						
					</header><!-- .entry-header -->
					
					<?php if ( !get_theme_mod( 'avant-blog-blocks-remove-content' ) ) : ?>
						<div class="blog-blocks-content-inner">
							
							<?php if ( get_theme_mod( 'avant-article-content-display' ) == 'blog-display-summary' ) : ?>
								
								<?php
								$article_content = get_the_content();
								$word_count = 40;
								if ( get_theme_mod( 'avant-article-content-word-count' ) ) {
									$word_count = get_theme_mod( 'avant-article-content-word-count' );
								}
								$read_more_txt = '...Read More';
								if ( get_theme_mod( 'avant-article-content-readmore' ) ) {
									$read_more_txt = get_theme_mod( 'avant-article-content-readmore' );
								}
								
								$trimmed_content = wp_trim_words( $article_content, $word_count, '<a href="' . get_the_permalink() . '" class="readmore">' . $read_more_txt . '</a>' );
								echo $trimmed_content; ?>
								
							<?php else : ?>
							
								<?php
								if ( has_excerpt() ) :
									the_excerpt();
								else :
									the_content( sprintf(
										wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'avant' ), array( 'span' => array( 'class' => array() ) ) ),
										the_title( '<span class="screen-reader-text">"', '"</span>', false )
									) );
								endif; ?>
								
							<?php endif; ?>
								
					    </div>
				    <?php endif; ?>
				    
				    <?php if ( !get_theme_mod( 'avant-blog-blocks-remove-tagcats' ) ) : ?>
					    <footer class="entry-footer">
							<?php avant_entry_footer(); ?>
						</footer><!-- .entry-footer -->
					<?php endif; ?>
				    
				</div>
				
			</div>
			
		<?php endif; ?>
	
	<?php else : // Left / Right / Alt & Top Layouts ?>

		<div class="blog-content-inner <?php echo ( get_theme_mod( 'avant-blog-post-shape' ) ) ? sanitize_html_class( get_theme_mod( 'avant-blog-post-shape' ) ) : sanitize_html_class( 'blog-post-shape-square' ); ?>">
		
			<?php if ( has_post_thumbnail() ) :
				$avant_image_cut = customizer_library_get_default( 'avant-blog-list-img-cut' );
				if ( get_theme_mod( 'avant-blog-list-img-cut' ) ) {
					$avant_image_cut = get_theme_mod( 'avant-blog-list-img-cut' );
				} ?>

				<a href="<?php the_permalink() ?>" class="post-loop-thumbnail" <?php echo ( has_post_thumbnail() ) ? 'style="background-image: url(' . esc_url( get_the_post_thumbnail_url( $post->ID, $avant_image_cut ) ) . ');"' : ''; ?>>
					
					<?php if ( get_theme_mod( 'avant-blog-post-shape' ) == 'blog-post-shape-img' ) : ?>
							    
					    <?php if ( has_post_thumbnail() ) : ?>
					    	<img src="<?php echo esc_url( get_the_post_thumbnail_url( $post->ID, $avant_image_cut ) ); ?>" alt="<?php the_title(); ?>" />
					    <?php else : ?>
				    		<img src="<?php echo get_template_directory_uri(); ?>/images/blank_blocks_img.png" alt="<?php the_title(); ?>" />
				    	<?php endif; ?>
				    	
				    <?php else : ?>
				    
						<img src="<?php echo get_template_directory_uri(); ?>/images/blank_blocks_img.png" alt="<?php the_title(); ?>" />
						
					<?php endif; ?>
					
				</a>
			<?php endif; ?>
			
			<div class="post-loop-content">
				
				<header class="entry-header">
					<?php
					$post_title_tag = get_theme_mod( 'avant-seo-blog-post-title-tag', customizer_library_get_default( 'avant-seo-blog-post-title-tag' ) );
					the_title( sprintf( '<h'.esc_attr( $post_title_tag ).' class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h'.esc_attr( $post_title_tag ).'>' ); ?>
					
					<?php if ( !get_theme_mod( 'avant-blog-blocks-remove-meta' ) ) : ?>
						<?php if ( 'post' == get_post_type() ) : ?>
						<div class="entry-meta">
							<?php avant_posted_on(); ?>
						</div><!-- .entry-meta -->
						<?php endif; ?>
					<?php endif; ?>
					
				</header><!-- .entry-header -->

				<div class="entry-content">
					
					<?php if ( get_theme_mod( 'avant-article-content-display' ) == 'blog-display-summary' ) : ?>
						
						<?php
						$article_content = get_the_content();
						$word_count = 40;
						if ( get_theme_mod( 'avant-article-content-word-count' ) ) {
							$word_count = get_theme_mod( 'avant-article-content-word-count' );
						}
						$read_more_txt = '...Read More';
						if ( get_theme_mod( 'avant-article-content-readmore' ) ) {
							$read_more_txt = get_theme_mod( 'avant-article-content-readmore' );
						}
						
						$trimmed_content = wp_trim_words( $article_content, $word_count, '<a href="'.get_the_permalink().'" class="readmore">'.$read_more_txt.'</a>' );
						echo $trimmed_content; ?>
						
					<?php else : ?>
					
						<?php
						if ( has_excerpt() ) :
							the_excerpt();
						else :
							/* translators: %s: Name of current post */
							the_content( sprintf(
								wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'avant' ), array( 'span' => array( 'class' => array() ) ) ),
								the_title( '<span class="screen-reader-text">"', '"</span>', false )
							) );
						endif; ?>
						
					<?php endif; ?>

					<?php
						wp_link_pages( array(
							'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'avant' ),
							'after'  => '</div>',
						) );
					?>
				</div><!-- .entry-content -->
				
				<?php if ( !get_theme_mod( 'avant-blog-blocks-remove-tagcats' ) ) : ?>
					<footer class="entry-footer">
						<?php avant_entry_footer(); ?>
					</footer><!-- .entry-footer -->
				<?php endif; ?>
				
			</div>
			<div class="clearboth"></div>
		
		</div>

	<?php endif; ?>
	
</article><!-- #post-## -->