<?php
/**
 * @package Avant
 */
global $woocommerce; ?>

<?php if ( !get_theme_mod( 'avant-header-remove-topbar', customizer_library_get_default( 'avant-header-remove-topbar' ) ) ) : ?>
	<div class="site-top-bar site-header-layout-two <?php echo ( get_theme_mod( 'avant-header-topbar-switch' ) ) ? sanitize_html_class( 'site-top-bar-switch' ) : ''; ?>">
		
		<div class="site-container">
			
			<div class="site-top-bar-left">
				
				<?php if ( !get_theme_mod( 'avant-header-remove-no', customizer_library_get_default( 'avant-header-remove-no' ) ) ) : ?>
					<span class="site-topbar-no"><?php echo ( get_theme_mod( 'avant-website-head-no-icon' ) ) ? '<i class="fas ' . sanitize_html_class( get_theme_mod( 'avant-website-head-no-icon' ) ) . '"></i>' : '<i class="fas fa-phone"></i>'; ?> <?php echo wp_kses_post( get_theme_mod( 'avant-website-head-no', __( 'Call Us: +2782 444 YEAH', 'avant' ) ) ) ?></span>
				<?php endif; ?>
				
				<?php if ( !get_theme_mod( 'avant-header-remove-add', customizer_library_get_default( 'avant-header-remove-add' ) ) ) : ?>
	            	<span class="site-topbar-ad"><?php echo ( get_theme_mod( 'avant-website-site-add-icon' ) ) ? '<i class="fas ' . sanitize_html_class( get_theme_mod( 'avant-website-site-add-icon' ) ) . '"></i>' : '<i class="fas fa-map-marker-alt"></i>'; ?> <?php echo wp_kses_post( get_theme_mod( 'avant-website-site-add', 'Cape Town, South Africa' ) ) ?></span>
				<?php endif; ?>
				
				<?php if ( !get_theme_mod( 'avant-header-remove-extratxt', customizer_library_get_default( 'avant-header-remove-extratxt' ) ) ) : ?>
					<?php if ( get_theme_mod( 'avant-website-header-extra-txt' ) ) : ?>
			        	<div class="site-top-bar-right-extra-txt">
			        		<?php echo ( get_theme_mod( 'avant-website-header-extra-icon' ) ) ? '<i class="fas ' . sanitize_html_class( get_theme_mod( 'avant-website-header-extra-icon' ) ) . '"></i>' : ''; ?> <?php echo wp_kses_post( get_theme_mod( 'avant-website-header-extra-txt' ) ) ?>
			        	</div>
			        <?php endif; ?>
			    <?php endif; ?>
				
			</div>
			
			<div class="site-top-bar-right">
				
				<?php if ( !get_theme_mod( 'avant-header-search', customizer_library_get_default( 'avant-header-search' ) ) ) : ?>
					<div class="menu-search">
				    	<i class="fas fa-search search-btn"></i>
				    </div>
				<?php endif; ?>
		        
		        <?php if ( !get_theme_mod( 'avant-header-remove-social', customizer_library_get_default( 'avant-header-remove-social' ) ) ) : ?>
					<?php get_template_part( '/templates/social-links' ); ?>
				<?php endif; ?>
				
				<?php wp_nav_menu( array( 'theme_location' => 'top-bar-menu', 'container_class' => 'avant-header-nav', 'fallback_cb' => false ) ); ?>
				
			</div>
			<div class="clearboth"></div>
			
			<?php if ( !get_theme_mod( 'avant-header-search', customizer_library_get_default( 'avant-header-search' ) ) ) : ?>
			    <div class="search-block">
			    	<?php if ( get_theme_mod( 'avant-search-shortcode' ) ) : ?>
			    		<?php echo do_shortcode( sanitize_text_field( get_theme_mod( 'avant-search-shortcode' ) ) ); ?>
			    	<?php else : ?>
			        	<?php get_search_form(); ?>
			        <?php endif; ?>
			    </div>
			<?php endif; ?>
			
		</div>
		
	</div>
<?php endif; ?>

<header id="masthead" class="site-header site-header-layout-two <?php echo ( is_front_page() && get_theme_mod( 'avant-header-remove-slider-space' ) ) ? sanitize_html_class( 'site-header-nospace' ) : ''; ?> <?php echo ( get_theme_mod( 'avant-header-remove-main-nav' ) ) ? sanitize_html_class( 'site-no-nav' ) : ''; ?>">
	
	<div class="site-container">
			
		<div class="site-branding <?php echo ( get_theme_mod( 'avant-title-tagline-position' ) ) ? sanitize_html_class( 'site-branding-float-all' ) : ''; ?> <?php echo ( has_custom_logo() ) ? sanitize_html_class( 'site-branding-logo' ) : sanitize_html_class( 'site-branding-nologo' ); ?>">
			
			<?php
			$site_title_tag = get_theme_mod( 'avant-seo-site-title-tag', customizer_library_get_default( 'avant-seo-site-title-tag' ) );
			$site_desc_tag = get_theme_mod( 'avant-seo-site-desc-tag', customizer_library_get_default( 'avant-seo-site-desc-tag' ) );
			if ( has_custom_logo() ) : ?>
                <?php the_custom_logo(); ?>
                <div class="site-branding-block <?php echo ( get_theme_mod( 'avant-title-tagline-position' ) ) ? sanitize_html_class( 'site-branding-float' ) : ''; ?>">
	                <?php if ( get_theme_mod( 'avant-show-site-title' ) ) : ?>
	                	<h<?php echo esc_attr( $site_title_tag ); ?> class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h<?php echo esc_attr( $site_title_tag ); ?>>
	                <?php endif; ?>
	                <?php if ( get_theme_mod( 'avant-show-site-tagline' ) ) : ?>
	                	<h<?php echo esc_attr( $site_desc_tag ); ?> class="site-description"><?php bloginfo( 'description' ); ?></h<?php echo esc_attr( $site_desc_tag ); ?>>
	                <?php endif; ?>
	            </div>
            <?php else : ?>
                <h<?php echo esc_attr( $site_title_tag ); ?> class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h<?php echo esc_attr( $site_title_tag ); ?>>
                <h<?php echo esc_attr( $site_desc_tag ); ?> class="site-description"><?php bloginfo( 'description' ); ?></h<?php echo esc_attr( $site_desc_tag ); ?>>
            <?php endif; ?>
			
		</div><!-- .site-branding -->
		
	</div>
	
	<?php if ( !get_theme_mod( 'avant-header-remove-main-nav', customizer_library_get_default( 'avant-header-remove-main-nav' ) ) ) : ?>
		<div class="site-header-top <?php echo ( get_theme_mod( 'avant-header-sticky-nav' ) ) ? sanitize_html_class( 'stick-header' ) : ''; ?>">
			
			<div class="site-container">
				<div class="site-header-top-left">
					
					<nav id="site-navigation" class="main-navigation <?php echo ( get_theme_mod( 'avant-header-nav-style' ) ) ? sanitize_html_class( get_theme_mod( 'avant-header-nav-style' ) ) : sanitize_html_class( 'avant-nav-style-plain' ); ?>" role="navigation">
						<span class="header-menu-button"><i class="fas fa-bars"></i><span><?php echo esc_attr( get_theme_mod( 'avant-header-menu-text', __( 'menu', 'avant' ) ) ); ?></span></span>
						<div id="main-menu" class="main-menu-container">
							<span class="main-menu-close"><i class="fas fa-angle-right"></i><i class="fas fa-angle-left"></i></span>
							<?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_id' => 'primary-menu' ) ); ?>
						</div>
					</nav><!-- #site-navigation -->
					
				</div>
				
				<div class="site-header-top-right">
					
					<?php if ( avant_is_woocommerce_activated() ) : ?>
						<?php if ( !get_theme_mod( 'avant-header-remove-cart', customizer_library_get_default( 'avant-header-remove-cart' ) ) ) : ?>
							<div class="header-cart">
								
					            <a class="header-cart-contents" href="<?php echo esc_url( wc_get_cart_url() ); ?>" title="<?php esc_attr_e( 'View your shopping cart', 'avant' ); ?>">
						            <span class="header-cart-amount">
						                <?php echo sprintf( _n( '%d item', '%d items', WC()->cart->get_cart_contents_count(), 'avant' ), WC()->cart->get_cart_contents_count() ); ?><span> - <?php echo wp_kses_data( WC()->cart->get_cart_subtotal() ); ?></span>
						            </span>
						            <span class="header-cart-checkout <?php echo ( WC()->cart->get_cart_contents_count() > 0 ) ? sanitize_html_class( 'cart-has-items' ) : ''; ?>">
						                <i class="fas <?php echo ( get_theme_mod( 'avant-cart-icon' ) ) ? sanitize_html_class( get_theme_mod( 'avant-cart-icon' ) ) : sanitize_html_class( 'fa-shopping-cart' ); ?>"></i>
						            </span>
						        </a>
								
								<?php if ( get_theme_mod( 'avant-header-add-drop-cart', customizer_library_get_default( 'avant-header-add-drop-cart' ) ) ) : ?>
									<div class="site-header-cart">
										<?php the_widget( 'WC_Widget_Cart', 'title=' ); ?>
									</div>
								<?php endif; ?>
							</div>
						<?php endif; ?>
					<?php endif; ?>
					
				</div>
				<div class="clearboth"></div>
				
			</div>
			
		</div>
	<?php endif; ?>
	
</header><!-- #masthead -->